#if !defined(AFX_DLGFINDTEXT_H__52D93D8D_87B3_438F_A173_A910A2DAD67A__INCLUDED_)
#define AFX_DLGFINDTEXT_H__52D93D8D_87B3_438F_A173_A910A2DAD67A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgFindText.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "CmbReg.h"				// For CFCCmbReg.
#include "DlgModelessBase.h"	// Superclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCDlgModelessBase

/////////////////////////////////////////////////////////////////////////////
// CFCDlgFindText _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCDlgFindText : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
// 05.11.13 Fukushiro M. 1_xZkqqHx_iNhDjFmPiNfI_xHqqkZx_ ()
//	CFCDlgFindText(CWnd* pParent = NULL);   // _xZkqqHx_jFfHiPiAiCmMiDfCiDjDiDfIiDgHiDiJiDeOiDfO_xHqqkZx_
	CFCDlgFindText ();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCDlgFindText)
	enum { IDD = IDD_WIN_FIND_TEXT };
	CFCCmbReg	m_cmbText;
	//}}AFX_DATA

// _xZkqqHx_iDiGiBfLiDfFiKnGjAjEiBeC_xHqqkZx_
public:
	virtual void	UpdateRegistory ();
	virtual void	SetChkChipTextVisible (BOOL bVisible);
	virtual void	SetChkFindLayerVisible (BOOL bVisible);
	virtual void	SetBtnFindAllVisible (BOOL bVisible);
	virtual void	SetBtnFindAllInSelectVisible (BOOL bVisible);

protected:
	virtual void	UpdateControl ();

// _xZkqqHx_iDiGiBfLiDfFjFmPjAjEiBeC_xHqqkZx_
protected:
	BOOL	m_bIsChanged;

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_
	//{{AFX_VIRTUAL(CFCDlgFindText)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:

	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCDlgFindText)
	virtual BOOL OnInitDialog();
	afx_msg void OnFdtBtnFindNext();
	afx_msg void OnFdtBtnFindPrev();
	afx_msg void OnDestroy();
	afx_msg void OnEditchangeFdtCmbText();
	afx_msg void OnSelchangeFdtCmbText();
	afx_msg void OnFdtChkRegexp();
	afx_msg void OnFdtChkAsUppercase();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnFdtChkChipText();
	virtual void OnCancel();
	afx_msg void OnCloseupFdtCmbText();
	afx_msg void OnFdtChkFindNoEditLayer();
	afx_msg void OnFdtChkMultiWord();
	afx_msg void OnFdtBtnFindAll();
	afx_msg void OnFdtBtnFindAllInSelect();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
}; // class CFCDlgFindText.

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_DLGFINDTEXT_H__52D93D8D_87B3_438F_A173_A910A2DAD67A__INCLUDED_)
